Site identifier and domain prefix for nowiki should be changed
Open, Stalled, LowestPublic

Description

This will probably be highly unpopular at nowiki but the site id and the subdomain should be changed. Correct site id would be nbwiki and subdomain would be nb.

More on Requests for site rename/nowiki to nbwiki.

jeblad created this task.Oct 2 2016, 11:28 PM
Restricted Application added subscribers: JEumerus, Matanya, Aklapper. · View Herald TranscriptOct 2 2016, 11:28 PM

Per discussion on T21986 a site identifier change is unlikely in the near future. We could change the subdomain if the communities of the relevant Wikipedias really want it.

Agreed.

@jeblad And how about nowiktionary, nowikibooks, nowikinews, nowikiquote, and nowikisource, shouldn't these be renamed too?

The discussion on T19047 is pretty descriptive, situation is very hostile, but what oddeivind said is correct. The no code covers both nband nn but nowiki only supports nb. Riksmål is not an official language form and has virtually gone out of use, even if some users at nowiki claim they use it. Close scrutiny of what they write onsite makes it very clear that they do not write Riksmål, they write whats called "moderate Bokmål".

This request is only for change of nowiki, possibly only the subdomain as that is the primary cause for the continued fighting between nnwiki and nowiki.

The project nowikinews is a dead and should be closed. People from both nnwiki and nowiki tried to get it going, and a lot of templates and other onsite structures was built to support both Nynorsk and Bokmål. After a while people started to disagree and the project become quite hostile. Now it is mostly just trolling going on there. Closing it is another issue, and should not be discussed here.

Projects that are alive and use both Bokmål and Nynorsk could continue using the no subdomain, but projects that only use Bokmål should use nb.

Sometimes I hear the argument that the no subdomain should be retained because it is the country code, but that is an error. It is like saying svwiki should continue to use se because it is the country code. Now sewiki is the Sami language wiki.

Stigmj added a subscriber: Stigmj.Oct 3 2016, 12:35 AM

Please be advised, there is no consensus at nowiki for this change and earlier discussions has always "landed" on "remain at nowiki". The last big vote we did on this was in 2009 with a clear result for "stay at the no-prefix". Please see https://no.wikipedia.org/wiki/Wikipedia:Avstemninger/Prefiks for that vote. Since then nothing new has happened really and every new flare-up of "let's change no to nb" has been quenched:
https://no.wikipedia.org/wiki/Wikipedia:Tinget/Arkiv/2011-35#no._vs._nb.
https://meta.wikimedia.org/wiki/Requests_for_new_languages/Wikipedia_Norsk_(bokm%C3%A5l)

The OP's sudden need to expedite a change without any consensus or community-backed effort is really out of order. If and when we decide to go forth with requesting a prefix-change, it will be backed by the community either by consensus or a vote.

jeblad added a comment.EditedOct 3 2016, 1:05 AM

This is not something nowiki can decide on alone, it is a misrepresentation of what the subdomain should contain. The code no is simply not correct, and whether people from nowiki claim something else does not make that claim any more correct. (Argumentum ad populum) There are two projects with to language codes, and one of them imply that the site includes the other, which it doesn't do.

The code no should either be used as a common portal of some kind, or not be used at all, and nowiki should be moved to nb.wikipedia.org.

Stryn added a subscriber: Stryn.Oct 3 2016, 5:14 AM
jeblad renamed this task from Site identifier and subdomain for nowiki should be changed to Site identifier and domain prefix for nowiki should be changed.Oct 3 2016, 12:27 PM

Given the uncertainty here around who needs to agree to such a thing, I'm going to add the tag. And given the multi-site nature of the issue it most likely needs a discussion on meta involving enough people from each site.

Nsaa added a subscriber: Nsaa.Oct 5 2016, 3:27 PM
jeblad added a comment.Oct 5 2016, 3:35 PM

Moved the page on Meta to Requests for comment/Rename no.wikipedia to nb.wikipedia. That should give everyone an opportunity to say whatever they want.

Nsaa added a comment.Oct 5 2016, 4:01 PM

This is one of the most discussed topics on no.wikipedia.org and the community has rejected this proposal formally with a overwelmingly vote to stay at no (no consensus, achieved) back in 2009 https://no.wikipedia.org/wiki/Wikipedia:Avstemninger/Prefiks, it surfaced again in 2011 https://no.wikipedia.org/wiki/Wikipedia:Tinget/Arkiv/2011-35#no._vs._nb. In the current notification of this issue at no.wikipedia.org's deciding organ https://no.wikipedia.org/wiki/Wikipedia:Tinget#Flytting_av_nowiki.3F there is a strong opposition to go on with this old and resolved discussion to avoid more noise. Please close this request since there are no fundamentally new issues as per https://no.wikipedia.org/wiki/Bruker:Nsaa/Prefiks#Nei_til_flytting_fra_nowiki_til_nbwiki (the Meta request to move do not handle nearly any of these issues to keep it at no raised back in 2009). ~~~~

jeblad added a comment.Oct 5 2016, 4:33 PM

As I said, it is highly unpopular, but the language code is wrong and should be changed. Add your factual statements at the page on meta.

Liuxinyu970226 triaged this task as Lowest priority.Dec 16 2016, 2:33 PM

Per other wiki renaming candidates

Liuxinyu970226 changed the task status from Open to Stalled.Apr 30 2017, 5:13 AM

per krinkle

jeblad added a comment.EditedAug 23 2017, 2:38 PM

Forgot to answer @Liuxinyu970226 in T147164#2683331

There are three projects that has a legitimate use of the no-code as they are bilingual; Wikinews (n:Wikinytt:Målnøytralitet-nb), Wikibooks (b:Wikibøker:Språkform), and Wikisource (s:Wikikilden:Hva er Wikikilden?#Språk og oversettelser).

Hogne added a subscriber: Hogne.Aug 25 2017, 10:30 AM

As an administrator at Nynorsk Wikipedia I highly agree on this change.
This is correct according to all official registers.

According to Profors at https://nb.wikipedia.org/w/index.php?title=Wikipedia:Torget&oldid=17735096 A Redirect from no to nb is necessary. When this is done, all current functionality will continue to work. (as the redirect from nb to no works today).

The most important issue right now is the Interwiki in WikiData to change from no: to nb:.

Disclaimer: I'm writing this as a Nynorsk Wikiepda Wikipedian and Administrator. I'm Hogne Neteland, also chair of Wikimedia Norway, but this issue is not discussed in the Board nor the Organisation, and therefore this is not anything I can argue for as chair!

jeblad added a comment.EditedOct 22 2017, 12:38 PM

There has been a new, and quite confusing vote at nowiki. It can be found at Ny avstemming om nb.wikipedia.org (New voting about nb.wikipedia.org) and the outcome at Avstemning (nb/no) (Voting (nb/no)) with an actual outcome of 23 for the change and 9 against. Three users have publicly abstained from casting a vote.

I believe the change is no longer blocked by the earlier voting from 2009.

There has been a new, and quite confusing vote at nowiki. It can be found at Ny avstemming om nb.wikipedia.org (New voting about nb.wikipedia.org) and the outcome at Avstemning (nb/no) (Voting (nb/no)) with an actual outcome of 23 for the change and 9 against. Three users have publicly abstained from casting a vote.

I believe the change is no longer blocked by the earlier voting from 2009.

Good point! So maybe the Community-consensus-needed can be removed?

Nsaa added a comment.Fri, Jul 20, 4:03 PM

There are no Community consensus regarding this issue. The discussion Ny avstemming om nb.wikipedia.org https://no.wikipedia.org/w/index.php?title=Wikipedia:Tinget&oldid=17916119#Ny_avstemning_om_nb.wikipedia.org was about a lot of different issues. With no clear consensus even about what we where discussing. ~~~~

In a way you're right, I'm afraid. I can see two paths to the nowiki project putting this matter behind it: Complete unanimity (never gonna happen), or a full resolution of the issue (seems to be far off in the future). Any progress towards consensus seems to decay over time, causing endless rehashes of this tiresome debate. Sometimes it feels like a purgatory. Still, in a never ending train wreck kind of way, I must admit it's kinda fascinating to watch.

jeblad added a comment.EditedSat, Jul 21, 12:34 AM

Voting on Meta after a RfC was in favor, and voting on nowiki was in favor. Task is thus not stalled. (@Liuxinyu970226 )

In my opinion the tag Community-consensus-needed can be removed (@Krenair), and the project renamed when the scripts are in place.

jeblad removed a subscriber: Krinkle.Sat, Jul 21, 12:45 AM
Nsaa added a comment.EditedSat, Jul 21, 10:39 AM

There are NO CONSENSUS on this matter. We are the no.wikipedia.org project containing all the Norwegian languages except nn that left us long time ago. If someone want to start nb.wikipedia.org project they are free to try that if Wikimedia allows it. But we are https://no.wikipedia.org/wiki/Wikipedia:Tinget . Stealing all our reputation and incoming links to no.wikipedia.org should never happen. We (all the contributors at no.wikipedia.org) have painstakingly build up the no.wikipedia.org domain. Before this task is done I will ask for a board decision on from Wikimedia Foundation where all parties can present their case (https://meta.wikimedia.org/wiki/Talk:Requests_for_comment/Rename_no.wikipedia_to_nb.wikipedia#No_relocation_from_nowiki_to_nbwiki). I.e. it´s not a technical case, it´s highly political .

jeblad added a comment.EditedSat, Jul 21, 10:51 AM

It has been voted over at both at Meta and Tinget. At Tinget the outcome was 23 against 9, see T147164#3701838.

Nsaa added a comment.Sat, Jul 21, 12:17 PM

@jeblad, the vote above is no consensus and it was related to the change from norsk (bokmål) to only norsk in the language section to the left (even got some media attention from a nn language newspaper https://framtida.no/2017/10/27/wikipedia-far-nynorsk-til-a-framsta-som-noko-mindreverdig), done here without consulting the no.wikipedia.org community: https://phabricator.wikimedia.org/rMW0d82d154476bbc6adbd015072c6c90616ea8cdea Eventually revert this and not change the prefix for our beloved no.wikimedia.org project.

jeblad added a comment.EditedSat, Jul 21, 1:14 PM

The actual text from Vote on language code and domain prefix is (as provided by Google Translate but slightly edited for clarity)

«Links to articles in this language version of Wikipedia are displayed in other language versions as Norwegian. This suggests that this language version is the Norwegian version of Wikipedia, which for several reasons is very unfortunate. Do you support a change of language code from no to nb and a change in domain prefix from no.wikipedia.org to nb.wikipedia.org to ensure that Bokmål Wikipedia appears as Norwegian Bokmål in other language versions?»

What the voting was about should be clear enough.

The language code and its implications are discussed at T174160: Language code(s) for nowiki should be changed to nb, and the newspaper article is about that issue.

Liuxinyu970226 added a comment.EditedSun, Jul 22, 4:20 AM

@Nsaa Your suggestion to revert rMW0d82d154476b can result this problem: Currently there are nowikibooks, nowikinews, nowikisource, and Norwegian test-Wikivoyage on Incubator existing for both Bokmål and Nynorsk users, your behavior will result these projects to be "forced to Bokmål only", which is inacceptable under ISO 639-3 and CLDR keystone rules.

We do not write YYYY-MM-DD even if this is a ISO 8601 standard.

You should obey that standard when writing bot scripts, otherwise your bot can't work at all.

Anyway, even the de facto nowiki has Riksmal articles, it won't be hurted when renaming domain, afaik nothing will be lost by renaming, that will result some extensions problems but they're fixable.